# ApplicationFramework
TKCAF
TPrsStd

# TPrsStd_PointDriver Class Reference

An implementation of TPrsStd_Driver for points.
.

`#include <TPrsStd_PointDriver.hxx>`

Inheritance diagram for TPrsStd_PointDriver:

[legend]

## Public Member Functions

Standard_EXPORT | TPrsStd_PointDriver ()
| Constructs an empty point driver. .
virtual Standard_EXPORT Standard_Boolean | Update (const TDF_Label &aLabel, Handle(AIS_InteractiveObject)&anAISObject)
| Build the AISObject (if null) or update it. No compute is done. Returns <true> if informations was found and AISObject updated. .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Constructor & Destructor Documentation

Standard_EXPORT TPrsStd_PointDriver::TPrsStd_PointDriver | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const TPrsStd_PointDriver::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from TPrsStd_Driver.

virtual Standard_EXPORT Standard_Boolean TPrsStd_PointDriver::Update | ( | const TDF_Label & | aLabel,
|  | Handle(AIS_InteractiveObject)& | anAISObject
| ) | `[virtual]`

| Implements TPrsStd_Driver.

The documentation for this class was generated from the following file:

- TPrsStd_PointDriver.hxx